interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 474725 characters]
        HxqnC1jKmT/2KpHuxcKjS4qYaWG5/wfy6R873hYYAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['318376']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:33 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjp27o.2.1505364213198.Z0FBQUFBQlp1Z2oxS2p6ejN4bGFpaTFRSXZxcFYyYWF1cGpydndCcEsxZXQ3czFzeDF1N2NaenpwN1E2VVZ2VlNxa3B6YWp5ckpObUFZeEVZNmg5RXlvaFpYRHAtODM2dThuYkdKVkRSb0F1aGJabnByM2c3c2c5LVNOUEZIODNmTlhzNktoalVXU2w;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:33
          GMT; secure', 'session_tracker=ayCzcTl3V1JRlAzJSe.0.1505364213194.Z0FBQUFBQlp1Z2oxV0pxMWx4M0tlWjZqczk3WjVxX3FYRktvdjl5c1dTcFJrQi1KeXJKQ1dpU3hvVDVtZGtnU0dFLTdqTTdnLXdWZG95RGd3RXhCSkpwSTNjaHN0TEl2UlctTEU3aFVocVpyRkJpa0o1Q3FuVHE0SUthUDlicTZzWVBKYnhVeHcyMVA;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:33
          GMT; secure', edgebucket=0BsThQ3ro4Jk4b0JvQ; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1734-ORD]
      X-Timer: ['S1505364213.180485,VS0,VE341']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjp27o.2.1505364213198.Z0FBQUFBQlp1Z2oxS2p6ejN4bGFpaTFRSXZxcFYyYWF1cGpydndCcEsxZXQ3czFzeDF1N2NaenpwN1E2VVZ2VlNxa3B6YWp5ckpObUFZeEVZNmg5RXlvaFpYRHAtODM2dThuYkdKVkRSb0F1aGJabnByM2c3c2c5LVNOUEZIODNmTlhzNktoalVXU2w;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:33
          GMT; secure', 'session_tracker=ayCzcTl3V1JRlAzJSe.0.1505364213194.Z0FBQUFBQlp1Z2oxV0pxMWx4M0tlWjZqczk3WjVxX3FYRktvdjl5c1dTcFJrQi1KeXJKQ1dpU3hvVDVtZGtnU0dFLTdqTTdnLXdWZG95RGd3RXhCSkpwSTNjaHN0TEl2UlctTEU3aFVocVpyRkJpa0o1Q3FuVHE0SUthUDlicTZzWVBKYnhVeHcyMVA;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:33
          GMT; secure', edgebucket=0BsThQ3ro4Jk4b0JvQ; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=tY9VNTgw8TwA3rXAuziyUUOaGKN%2BR9zjCmo5Or0SBphiBKSgYnNR6mD1Hsg%2FFx1yfDQofEK%2F36A%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=0BsThQ3ro4Jk4b0JvQ; loid=00000000000drjp27o.2.1505364213198.Z0FBQUFBQlp1Z2oxS2p6ejN4bGFpaTFRSXZxcFYyYWF1cGpydndCcEsxZXQ3czFzeDF1N2NaenpwN1E2VVZ2VlNxa3B6YWp5ckpObUFZeEVZNmg5RXlvaFpYRHAtODM2dThuYkdKVkRSb0F1aGJabnByM2c3c2c5LVNOUEZIODNmTlhzNktoalVXU2w;
          session_tracker=ayCzcTl3V1JRlAzJSe.0.1505364213194.Z0FBQUFBQlp1Z2oxV0pxMWx4M0tlWjZqczk3WjVxX3FYRktvdjl5c1dTcFJrQi1KeXJKQ1dpU3hvVDVtZGtnU0dFLTdqTTdnLXdWZG95RGd3RXhCSkpwSTNjaHN0TEl2UlctTEU3aFVocVpyRkJpa0o1Q3FuVHE0SUthUDlicTZzWVBKYnhVeHcyMVA]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 474725 characters]
        wSN/aJwuYCln/tirRLoXC48uKWKmheX+H0hAwzveFhgA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['318378']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:38 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1734-ORD]
      X-Timer: ['S1505364218.387761,VS0,VE353']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=ayCzcTl3V1JRlAzJSe.0.1505364218401.Z0FBQUFBQlp1Z2o2YU1ROTc0NHRBY29RSllkSkdUenc4S2NDY2hzOGVzbk15YlVFdHNma1FsVzBBeWttRk5aY0pwQzFrSS1jMkVWWEpHYmNWOURPUGFXSnpfYjhwZFh6YkdxQzJRR2lYWFNXdnhVTnRqTkoyNXR5ZWVOek1oUGpLMUVOazNCTFhxQTQ;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:38
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=mmyceqcDCly7l0Wx%2BQVBdTiPRx6MgtBduMh4%2Bxuk074N3Yxnl36%2F%2B2ZeFYDxcJ3TtHhm1O0jJls%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
